Get company tax check results

Overview

Use this method to get the company tax check results after the company applicant has been reviewed.

Request example

curl -X GET \
     'https://api.sumsub.com/resources/checks/latest?applicantId=63e096c51b6b4030f2e01154&type=COMPANY_TAX'

Response explained

The response represents a list of checks with the company tax check results. All attributes below are nullable.

checks element fields

NameTypeDescription
answerStringCheck answer.
  • GREEN — the check was successful.
  • RED — the check failed due to violations found.
checkTypeStringAlways COMPANY_TAX. Indicates that the check relies upon the company tax identification number.
createdAtDateDate and time of the latest company tax check result, in the format YYYY-MM-DD hh:mm:ss (for example, 2022-04-05 17:12:31).
violationsArray of stringsReturned when answer is RED. Specifies the reason(s) why the check failed.
  • TIN_MISMATCH — the provided tax identification number does not match official records.
  • INVALID_DOC_NUMBER — an invalid or incorrectly formatted tax identification number was provided.

Response examples

If the request is successfully sent and processed, you will get a response like one of the following:

// The check was successful.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "COMPANY_TAX",
      "createdAt": "2026-01-01 00:00:00"
    }
  ]
}
// The check failed due to violations found.

{
  "checks": [
    {
      "answer": "RED",
      "checkType": "COMPANY_TAX",
      "createdAt": "2026-01-01 00:00:00",
      "violations": [
        "TIN_MISMATCH"
      ]
    }
  ]
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "correlationId": "49570045bc3f099789516f859b41ef16",
  "description": "Invalid id '123456789'"
}

An empty checks array indicates that the tax check was not performed for the company applicant.

{
  "checks": []
}
Query Params
string
required

Unique identifier of the company applicant in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Response
200
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!